summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author PaulKinsler2019-07-05 17:47:46 +0200
committer Willy Sudiarto Raharjo2019-07-05 17:47:46 +0200
commitad296a4e94f5ad1a709737b787a74db24d4a4d41 (patch)
tree22167cd31706d188d016d98f928d6819d1ecdaa1
parente6588776f512e380dc2320d0aeccb288c3154097 (diff)
downloadslackbuilds-ad296a4e94f5ad1a709737b787a74db24d4a4d41.tar.gz
academic/h5utils: Added (visualization and conversion of HDF5 data).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--academic/h5utils/README9
-rw-r--r--academic/h5utils/h5utils.SlackBuild114
-rw-r--r--academic/h5utils/h5utils.info10
-rw-r--r--academic/h5utils/slack-desc19
4 files changed, 152 insertions, 0 deletions
diff --git a/academic/h5utils/README b/academic/h5utils/README
new file mode 100644
index 0000000000..3b0ed29af6
--- /dev/null
+++ b/academic/h5utils/README
@@ -0,0 +1,9 @@
+H5utils is is a set of utilities for visualization and
+conversion of scientific data in the free, portable HDF5
+format. Besides providing a simple tool for batch
+visualization as PNG images, h5utils also includes
+programs to convert HDF5 datasets into the formats
+required by other free visualization software (e.g.
+plain text, Vis5d, and VTK).
+
+Optional dependencies: libmatheval, octave, hdf, and perhaps Vis5d.
diff --git a/academic/h5utils/h5utils.SlackBuild b/academic/h5utils/h5utils.SlackBuild
new file mode 100644
index 0000000000..1f85355f30
--- /dev/null
+++ b/academic/h5utils/h5utils.SlackBuild
@@ -0,0 +1,114 @@
+#!/bin/sh
+
+# Slackware build script for h5utils
+
+# Copyright 2019 Paul Kinsler, U.K.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=h5utils
+VERSION=${VERSION:-1.13.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+# change annoying underscores into hyphens
+SVERSION=$(echo $VERSION | tr '_' '-')
+# make a custom list of doc files in advance
+DOCFILES="AUTHORS COPYING"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SVERSION
+tar xvf $CWD/$PRGNAM-$SVERSION.tar.gz
+cd $PRGNAM-$SVERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# if there is no configure script, try to build one!
+if [ ! -f ./configure ] ; then
+ ./autogen.sh
+fi
+
+LOCALCONFIGS=
+
+CFLAGS="$SLKCFLAGS" \
+CPPFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
+ $LOCALCONFIGS
+
+# allow parallel makes if this variable is set;
+# but always finish with a single make in case
+# there is a problem with that
+if [ "${JMULTIMAKE}" ] ; then
+ make -j ${JMULTIMAKE}
+fi
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+install -m 0644 $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/h5utils/h5utils.info b/academic/h5utils/h5utils.info
new file mode 100644
index 0000000000..aa2cd02582
--- /dev/null
+++ b/academic/h5utils/h5utils.info
@@ -0,0 +1,10 @@
+PRGNAM="h5utils"
+VERSION="1.13.1"
+HOMEPAGE="https://github.com/NanoComp/h5utils"
+DOWNLOAD="https://github.com/NanoComp/h5utils/releases/download/1.13.1/h5utils-1.13.1.tar.gz"
+MD5SUM="f4d3eac775b6c2a18eac56138e659c37"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="hdf5"
+MAINTAINER="PaulKinsler"
+EMAIL="dr.paul@kinsler.org"
diff --git a/academic/h5utils/slack-desc b/academic/h5utils/slack-desc
new file mode 100644
index 0000000000..226340b323
--- /dev/null
+++ b/academic/h5utils/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+h5utils: h5utils (visualization and conversion of HDF5 data)
+h5utils:
+h5utils: These utilities provide simple tools for batch visualization of
+h5utils: hdf5 datafiles as PNG images. They also allow conversion from hdf5
+h5utils: format into other formats used for visualization, such as plain text,
+h5utils: Vis5d, and VTK.
+h5utils:
+h5utils: Homepage: https://github.com/NanoComp/h5utils
+h5utils:
+h5utils:
+h5utils: